package com.ruoyi.web.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.domain.ReviewKeyPoint;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@ApiModel
@Data
public class ReviewStandardResponseAll {
    @ApiModelProperty("ID")
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long id;

    /**
     * 章节
     */
    @ApiModelProperty("章节")
    private String chapter;

    /**
     * 文本内容
     */
    @ApiModelProperty("文本内容")
    private String text;

    /**
     * 测试方法(车型试验专有)
     */
    @ApiModelProperty("测试方法(车型试验专有)")
    private String testMethod;

    @ApiModelProperty("标准名称")
    private String name;

    @ApiModelProperty("标准号")
    private String standardNo;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("检验内容集合")
    private List<ReviewKeyPointNew> keyPointList;


}
